Bug 1316993 - (CVE-2016-3139) CVE-2016-3139 kernel: Crash on invalid USB device descriptors (wacom driver)
CVE-2016-3139 kernel: Crash on invalid USB device descriptors (wacom driver)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160309,reported=2...
: Security
Depends On: 1283375 1283377 1317010
Blocks: 1317020
  Show dependency treegraph
 
Reported: 2016-03-11 11:21 EST by Adam Mariš
Modified: 2016-05-16 09:49 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 06:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-11 11:21:58 EST
Kernel crash occurs when presented a buggy USB device which requires wacom driver, causing null pointer dereference.

Product bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1283375
https://bugzilla.redhat.com/show_bug.cgi?id=1283377
Comment 2 Adam Mariš 2016-03-11 12:04:39 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317010]
Comment 3 Adam Mariš 2016-03-14 06:00:57 EDT
Public via:

http://seclists.org/bugtraq/2016/Mar/60

CVE request and assignment:

http://seclists.org/oss-sec/2016/q1/606

http://seclists.org/oss-sec/2016/q1/623

Upstream commit: the upstream driver was rebased and does not have this bug, so this bug is rhel7-only and there is no upstream commit.
Comment 4 Vladis Dronov 2016-03-15 06:48:18 EDT
Acknowledgements:

Name: Ralf Spenneberg (OpenSource Security)
Comment 5 Vladis Dronov 2016-03-15 06:51:51 EDT
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.